# Farm Launcher

{% hint style="info" %}
Note that a front end will be added to WaxFusion soon, to simplify this process for you. This page explains how to create farms manually, in case advanced users prefer not to wait for a front end to be created.
{% endhint %}

What you will need to know before creating a farm:

* The `pool_id`of the liquidity pair on Alcor
* How long you want the reward to last for (can be 7, 30, 90 or 365 days)

To create your farm, all you need to do is send LSWAX to `dapp.fusion`with the following memo:

`|new_incentive|<pool_id>|<total_days>|`

For example, if the `pool_id`is 3913, and you want the farm to last for 90 days, you would send this memo:

`|new_incentive|3913|90|`

There are a couple of important things to note before creating a farm:

* There is a minimum of 100 LSWAX required for a farm
* There is a fee of 1 LSWAX, which goes to WaxFusion's protocol owned liquidity. If you send 100 LSWAX, 99 will be used for the farm, and 1 will go to POL. If you send 1,000 LSWAX, 999 will be used for the farm, etc.
* If you are rewarding one of the pairs from our [Ecosystem Fund](https://docs.waxfusion.io/revenue/distribution#ecosystem-fund), then your deposit will be applied to the weekly farm when it is created (you won't see it appear instantly on Alcor)

For advanced users, you can find the `pool_id`for your pair on the [swap.alcor contract's "pools" table](https://waxblock.io/account/swap.alcor?code=swap.alcor\&scope=swap.alcor\&table=pools\&lower_bound=\&upper_bound=\&limit=10\&reverse=false#contract-tables). If you are unsure how to do this, please join our [Telegram](https://t.me/waxfusion) and ask for assistance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.waxfusion.io/farm-launcher.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
